> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 13F Holdings API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count 13F Holdings Records

```json theme={null}
{
  "module": "13f_holdings",
  "count_only": true
}
```

### List All 13F Holdings

```json theme={null}
{
  "module": "13f_holdings"
}
```

### List 13F Holdings with Specific Fields

```json theme={null}
{
  "module": "13f_holdings",
  "filters": {
    "fields": [
      "name",
      "nameofissuer",
      "ticker",
      "cusip",
      "value",
      "filedat",
      "periodofreport",
      "dakota_account_id",
      "dakota_investment_strategy_id",
      "status"
    ],
    "order_by": "filedat:DESC",
    "max_num": "20"
  }
}
```

### Filter by Filed At

```json theme={null}
{
  "module": "13f_holdings",
  "filters": {
    "filter": [
      {
        "filedat": {
          "$between": ["2026-09-01 00:00:00", "2026-09-30 23:59:59"]
        }
      }
    ],
    "fields": [
      "name",
      "nameofissuer",
      "ticker",
      "value",
      "filedat",
      "periodofreport",
      "companyname"
    ],
    "order_by": "filedat:DESC"
  }
}
```

### Filter by Ticker

```json theme={null}
{
  "module": "13f_holdings",
  "filters": {
    "filter": [
      {
        "ticker": {
          "$equals": "IJH"
        }
      }
    ],
    "fields": [
      "name",
      "nameofissuer",
      "ticker",
      "cusip",
      "value",
      "shrsorprnamt",
      "filedat",
      "companyname"
    ]
  }
}
```

## Matched 13F Data

Use this filter to return only holdings that have been matched to a Dakota Account and Investment Strategy (`dakota_account_id` and `dakota_investment_strategy_id` are not null).

```json theme={null}
{
  "module": "13f_holdings",
  "filters": {
    "filter": [
      {
        "$and": [
          {
            "dakota_account_id": {
              "$not_null": ""
            }
          },
          {
            "dakota_investment_strategy_id": {
              "$not_null": ""
            }
          }
        ]
      }
    ],
    "fields": [
      "name",
      "nameofissuer",
      "ticker",
      "value",
      "filedat",
      "dakota_account_id",
      "dakota_account_name",
      "dakota_investment_strategy_id",
      "dakota_investment_strategy_name",
      "status",
      "pct_change_qoq",
      "portfolio_pct_weight"
    ],
    "order_by": "filedat:DESC",
    "max_num": "20"
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````